package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.manatee.capsule.bo.ChuanyunObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import java.util.List;
import java.util.Map;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunWorkGroupDO extends BasicSubDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789Ffc523b16e9fc4ec8b4e8a08f1036af91";

    /**
     * 工作组
     */
    @JsonProperty(value = "F0000009")
    private String workGroupName;

    /**
     * 工作负责人
     */
    @JsonProperty(value = "F0000010")
    private String workGroupPrincipal;

    /**
     * 子工作组
     */
    @JsonProperty(value = "F0000012")
    private String subWorkGroup;

    /**
     * 子工作组负责人
     */
    @JsonProperty(value = "F0000013")
    private String subWorkGroupPrincipal;

    @JsonProperty(value = "F0000014")
    private List<String> subWorkGroupMember;

    @JsonProperty(value = "F0000014Object")
    private List<ChuanyunWorkGroupMemberDO> subWorkGroupMemberObject;

}
