package com.galaxis.manatee.event;

import com.galaxis.manatee.service.WorkGroupService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class PushImplCostListener implements ApplicationListener<PushImplCostEvent> {

    @Autowired
    private WorkGroupService workGroupService;

    @Override
    public void onApplicationEvent(PushImplCostEvent event) {
        log.info("监听到工作组实施费用上传事件");
        workGroupService.pushToChuanyun();
    }
}
